% データの抽出/除外
% serに抽出/除外したい"SerNo"を入れる
% ext (0: 除外, 1: 抽出)

% ------ 2.4 GHz ------
% Yuraku (R1,2,3)
ext{1}{1} = 0;
ser{1}{1} = [];
ext{1}{2} = 0;
ser{1}{2} = [];
ext{1}{3} = 0;
ser{1}{3} = [];%1:621;
% NTT (R4,5)
% ext{1}{4} = 0;
% ser{1}{4} = [150:370, 1000:1180];
% ext{1}{5} = 0;
% ser{1}{5} = 1:1030;


% ------ 4.8 GHz ------
% Yuraku (R1,2,3)
ext{2}{1} = 0;
ser{2}{1} = [];
ext{2}{2} = 0;
ser{2}{2} = [];
ext{2}{3} = 0;
ser{2}{3} = [];%1:431;
% % NTT (R4,5)
% ext{2}{4} = 0;
% ser{2}{4} = [250:570, 1230:1340];
% ext{2}{5} = 0;
% ser{2}{5} = [1:900, 2340:3000];
% % WP (R6)
% ext{2}{6} = 0;
% ser{2}{6} = [];
% --------------------

tab{1} = Yuraku;
% tab{2} = NTT;
% tab{3} = WP;

for ii = 1:length(tab)

    freqList = fieldnames(tab{ii}.LSP);

    for jj = 1:length(freqList)

        routeList = fieldnames(tab{ii}.LSP.(freqList{jj}));

        for kk = 1:length(routeList)

            if strcmp(freqList{jj},'freq_2_4GHz')
                freqSel = 1;
            else
                freqSel = 2;
            end

            routeSel = str2double(erase(routeList{kk},'R'));

            if ext{freqSel}{routeSel}
                index = ismember(tab{ii}.LSP.(freqList{jj}).(routeList{kk}).SerNo, ser{freqSel}{routeSel});
            else
                index = ~ismember(tab{ii}.LSP.(freqList{jj}).(routeList{kk}).SerNo, ser{freqSel}{routeSel});
            end

            tab{ii}.LSP.(freqList{jj}).(routeList{kk}) = tab{ii}.LSP.(freqList{jj}).(routeList{kk})(index,:);

        end
    end
end

Yuraku = tab{1};
% NTT    = tab{2};
% WP     = tab{3};

